<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body no-padding-left no-padding-right">
                                <input #searchField [(ngModel)]="searchBy" [debounce]="300" (onDebounce)="search()"
                                       class="form-control "
                                       placeholder="Pesquisar pelo nome da categoria"/>
                            </div>
                            <data-table #dataTableComponent
                                        [currentPage]="currentPage"
                                        [pageSize]="5"
                                        [selectable]="true"
                                        [total]="data.count"
                                        [data]="data.results"
                                        [paginated]="true"
                                        keyEvents="true"
                                        (onPaginate)="onPaginate($event)">
                                <column header="Nome" field="name"></column>
                                <column header="Bucket" field="bucket_name"></column>
                                <column header="Criado" widthPercent="10" useTemplate="true">
                                    <ng-template let-s3Bucket="data">
                                        {{ s3Bucket.created ? 'Sim' : 'Não' }}
                                    </ng-template>
                                </column>
                                <column useTemplate="true" widthPercent="30">
                                    <ng-template let-s3Bucket="data">
                                        <div class="btn-group btn-table-group">


                                            <button (click)="editS3Bucket(s3Bucket.id)"
                                                    class="btn btn-sm btn-dark-info btn-rounded">
                                                <i class="fa fa-edit"></i> Editar
                                            </button>
                                            <button (click)="deleteS3Bucket(s3Bucket.id)"
                                                    class="btn btn-sm btn-dark-danger btn-rounded">
                                                <i class="fa fa-trash"></i> Excluir
                                            </button>

                                            <button (click)="createAwsS3Bucket(s3Bucket.id)"
                                                    class="btn btn-sm btn-dark-success btn-rounded">
                                                <i class="fab fa-bitbucket"></i> Criar Bucket AWS
                                            </button>
                                        </div>
                                    </ng-template>
                                </column>
                                <buttons-right>
                                    <div class="row">
                                        <div class="col-6 offset-6">
                                            <button (click)="newS3Bucket()" class="btn btn-block btn-primary">
                                                <i class="fa fa-plus"></i>
                                                Novo Bucket S3
                                            </button>
                                        </div>
                                    </div>
                                </buttons-right>
                            </data-table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
